Chapter 8. CloudSourcesService
8.1. UpdateCloudSource Copy linkLink copied to clipboard!
PUT /v1/cloud-sources/{cloudSource.id}
UpdateCloudSource creates or replaces a cloud source.
8.1.1. Description Copy linkLink copied to clipboard!
8.1.2. Parameters Copy linkLink copied to clipboard!
8.1.2.1. Path Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| cloudSource.id | X | null |
8.1.2.2. Body Parameter Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| body | X |
8.1.3. Return Type Copy linkLink copied to clipboard!
Object
8.1.4. Content Type Copy linkLink copied to clipboard!
- application/json
8.1.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. |
|
| 0 | An unexpected error response. |
8.1.6. Samples Copy linkLink copied to clipboard!
8.1.7. Common object reference Copy linkLink copied to clipboard!
8.1.7.1. ProtobufAny Copy linkLink copied to clipboard!
Any contains an arbitrary serialized protocol buffer message along with a URL that describes the type of the serialized message.
Protobuf library provides support to pack/unpack Any values in the form of utility functions or additional generated methods of the Any type.
Example 1: Pack and unpack a message in C++.
Foo foo = ...;
Any any;
any.PackFrom(foo);
...
if (any.UnpackTo(&foo)) {
...
}
Example 2: Pack and unpack a message in Java.
Foo foo = ...;
Any any = Any.pack(foo);
...
if (any.is(Foo.class)) {
foo = any.unpack(Foo.class);
}
// or ...
if (any.isSameTypeAs(Foo.getDefaultInstance())) {
foo = any.unpack(Foo.getDefaultInstance());
}
Example 3: Pack and unpack a message in Python.
foo = Foo(...)
any = Any()
any.Pack(foo)
...
if any.Is(Foo.DESCRIPTOR):
any.Unpack(foo)
...
Example 4: Pack and unpack a message in Go
foo := &pb.Foo{...}
any, err := anypb.New(foo)
if err != nil {
...
}
...
foo := &pb.Foo{}
if err := any.UnmarshalTo(foo); err != nil {
...
}
The pack methods provided by protobuf library will by default use 'type.googleapis.com/full.type.name' as the type URL and the unpack methods only use the fully qualified type name after the last '/' in the type URL, for example "foo.bar.com/x/y.z" will yield type name "y.z".
8.1.7.1.1. JSON representation Copy linkLink copied to clipboard!
The JSON representation of an Any value uses the regular representation of the deserialized, embedded message, with an additional field @type which contains the type URL. Example:
package google.profile;
message Person {
string first_name = 1;
string last_name = 2;
}
{
"@type": "type.googleapis.com/google.profile.Person",
"firstName": <string>,
"lastName": <string>
}
If the embedded message type is well-known and has a custom JSON representation, that representation will be embedded adding a field value which holds the custom JSON in addition to the @type field. Example (for message [google.protobuf.Duration][]):
{
"@type": "type.googleapis.com/google.protobuf.Duration",
"value": "1.212s"
}
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| typeUrl | String |
A URL/resource name that uniquely identifies the type of the serialized protocol buffer message. This string must contain at least one \"/\" character. The last segment of the URL’s path must represent the fully qualified name of the type (as in | |||
| value | byte[] | Must be a valid serialized protocol buffer of the above specified type. | byte |
8.1.7.2. RuntimeError Copy linkLink copied to clipboard!
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| error | String | ||||
| code | Integer | int32 | |||
| message | String | ||||
| details | List of ProtobufAny |
8.1.7.3. V1CloudSource Copy linkLink copied to clipboard!
CloudSource is an integration which provides a source for discovered clusters.
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| id | String | ||||
| name | String | ||||
| type | TYPE_UNSPECIFIED, TYPE_PALADIN_CLOUD, TYPE_OCM, | ||||
| credentials | |||||
| skipTestIntegration | Boolean | ||||
| paladinCloud | |||||
| ocm |
8.1.7.4. V1CloudSourceCredentials Copy linkLink copied to clipboard!
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| secret | String |
8.1.7.5. V1CloudSourceType Copy linkLink copied to clipboard!
| Enum Values |
|---|
| TYPE_UNSPECIFIED |
| TYPE_PALADIN_CLOUD |
| TYPE_OCM |
8.1.7.6. V1OCMConfig Copy linkLink copied to clipboard!
OCMConfig provides information required to fetch discovered clusters from the OpenShift cluster manager.
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| endpoint | String |
8.1.7.7. V1PaladinCloudConfig Copy linkLink copied to clipboard!
PaladinCloudConfig provides information required to fetch discovered clusters from Paladin Cloud.
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| endpoint | String |
8.1.7.8. V1UpdateCloudSourceRequest Copy linkLink copied to clipboard!
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| cloudSource | |||||
| updateCredentials | Boolean | If true, cloud_source must include valid credentials. If false, the resource must already exist and credentials in cloud_source are ignored. |
8.2. ListCloudSources Copy linkLink copied to clipboard!
GET /v1/cloud-sources
ListCloudSources returns the list of cloud sources after filtered by requested fields.
8.2.1. Description Copy linkLink copied to clipboard!
8.2.2. Parameters Copy linkLink copied to clipboard!
8.2.2.1. Query Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| pagination.limit | - | null | ||
| pagination.offset | - | null | ||
| pagination.sortOption.field | - | null | ||
| pagination.sortOption.reversed | - | null | ||
| pagination.sortOption.aggregateBy.aggrFunc | - | UNSET | ||
| pagination.sortOption.aggregateBy.distinct | - | null | ||
| filter.names |
Matches cloud sources based on their name. | - | null | |
| filter.types |
Matches cloud sources based on their type. | - | null |
8.2.3. Return Type Copy linkLink copied to clipboard!
8.2.4. Content Type Copy linkLink copied to clipboard!
- application/json
8.2.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
8.2.6. Samples Copy linkLink copied to clipboard!
8.2.7. Common object reference Copy linkLink copied to clipboard!
8.2.7.1. ProtobufAny Copy linkLink copied to clipboard!
Any contains an arbitrary serialized protocol buffer message along with a URL that describes the type of the serialized message.
Protobuf library provides support to pack/unpack Any values in the form of utility functions or additional generated methods of the Any type.
Example 1: Pack and unpack a message in C++.
Foo foo = ...;
Any any;
any.PackFrom(foo);
...
if (any.UnpackTo(&foo)) {
...
}
Example 2: Pack and unpack a message in Java.
Foo foo = ...;
Any any = Any.pack(foo);
...
if (any.is(Foo.class)) {
foo = any.unpack(Foo.class);
}
// or ...
if (any.isSameTypeAs(Foo.getDefaultInstance())) {
foo = any.unpack(Foo.getDefaultInstance());
}
Example 3: Pack and unpack a message in Python.
foo = Foo(...)
any = Any()
any.Pack(foo)
...
if any.Is(Foo.DESCRIPTOR):
any.Unpack(foo)
...
Example 4: Pack and unpack a message in Go
foo := &pb.Foo{...}
any, err := anypb.New(foo)
if err != nil {
...
}
...
foo := &pb.Foo{}
if err := any.UnmarshalTo(foo); err != nil {
...
}
The pack methods provided by protobuf library will by default use 'type.googleapis.com/full.type.name' as the type URL and the unpack methods only use the fully qualified type name after the last '/' in the type URL, for example "foo.bar.com/x/y.z" will yield type name "y.z".
8.2.7.1.1. JSON representation Copy linkLink copied to clipboard!
The JSON representation of an Any value uses the regular representation of the deserialized, embedded message, with an additional field @type which contains the type URL. Example:
package google.profile;
message Person {
string first_name = 1;
string last_name = 2;
}
{
"@type": "type.googleapis.com/google.profile.Person",
"firstName": <string>,
"lastName": <string>
}
If the embedded message type is well-known and has a custom JSON representation, that representation will be embedded adding a field value which holds the custom JSON in addition to the @type field. Example (for message [google.protobuf.Duration][]):
{
"@type": "type.googleapis.com/google.protobuf.Duration",
"value": "1.212s"
}
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| typeUrl | String |
A URL/resource name that uniquely identifies the type of the serialized protocol buffer message. This string must contain at least one \"/\" character. The last segment of the URL’s path must represent the fully qualified name of the type (as in | |||
| value | byte[] | Must be a valid serialized protocol buffer of the above specified type. | byte |
8.2.7.2. RuntimeError Copy linkLink copied to clipboard!
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| error | String | ||||
| code | Integer | int32 | |||
| message | String | ||||
| details | List of ProtobufAny |
8.2.7.3. V1CloudSource Copy linkLink copied to clipboard!
CloudSource is an integration which provides a source for discovered clusters.
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| id | String | ||||
| name | String | ||||
| type | TYPE_UNSPECIFIED, TYPE_PALADIN_CLOUD, TYPE_OCM, | ||||
| credentials | |||||
| skipTestIntegration | Boolean | ||||
| paladinCloud | |||||
| ocm |
8.2.7.4. V1CloudSourceCredentials Copy linkLink copied to clipboard!
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| secret | String |
8.2.7.5. V1CloudSourceType Copy linkLink copied to clipboard!
| Enum Values |
|---|
| TYPE_UNSPECIFIED |
| TYPE_PALADIN_CLOUD |
| TYPE_OCM |
8.2.7.6. V1ListCloudSourcesResponse Copy linkLink copied to clipboard!
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| cloudSources | List of V1CloudSource |
8.2.7.7. V1OCMConfig Copy linkLink copied to clipboard!
OCMConfig provides information required to fetch discovered clusters from the OpenShift cluster manager.
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| endpoint | String |
8.2.7.8. V1PaladinCloudConfig Copy linkLink copied to clipboard!
PaladinCloudConfig provides information required to fetch discovered clusters from Paladin Cloud.
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| endpoint | String |
8.3. DeleteCloudSource Copy linkLink copied to clipboard!
DELETE /v1/cloud-sources/{id}
DeleteCloudSource removes a cloud source.
8.3.1. Description Copy linkLink copied to clipboard!
8.3.2. Parameters Copy linkLink copied to clipboard!
8.3.2.1. Path Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| id | X | null |
8.3.3. Return Type Copy linkLink copied to clipboard!
Object
8.3.4. Content Type Copy linkLink copied to clipboard!
- application/json
8.3.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. |
|
| 0 | An unexpected error response. |
8.3.6. Samples Copy linkLink copied to clipboard!
8.3.7. Common object reference Copy linkLink copied to clipboard!
8.3.7.1. ProtobufAny Copy linkLink copied to clipboard!
Any contains an arbitrary serialized protocol buffer message along with a URL that describes the type of the serialized message.
Protobuf library provides support to pack/unpack Any values in the form of utility functions or additional generated methods of the Any type.
Example 1: Pack and unpack a message in C++.
Foo foo = ...;
Any any;
any.PackFrom(foo);
...
if (any.UnpackTo(&foo)) {
...
}
Example 2: Pack and unpack a message in Java.
Foo foo = ...;
Any any = Any.pack(foo);
...
if (any.is(Foo.class)) {
foo = any.unpack(Foo.class);
}
// or ...
if (any.isSameTypeAs(Foo.getDefaultInstance())) {
foo = any.unpack(Foo.getDefaultInstance());
}
Example 3: Pack and unpack a message in Python.
foo = Foo(...)
any = Any()
any.Pack(foo)
...
if any.Is(Foo.DESCRIPTOR):
any.Unpack(foo)
...
Example 4: Pack and unpack a message in Go
foo := &pb.Foo{...}
any, err := anypb.New(foo)
if err != nil {
...
}
...
foo := &pb.Foo{}
if err := any.UnmarshalTo(foo); err != nil {
...
}
The pack methods provided by protobuf library will by default use 'type.googleapis.com/full.type.name' as the type URL and the unpack methods only use the fully qualified type name after the last '/' in the type URL, for example "foo.bar.com/x/y.z" will yield type name "y.z".
8.3.7.1.1. JSON representation Copy linkLink copied to clipboard!
The JSON representation of an Any value uses the regular representation of the deserialized, embedded message, with an additional field @type which contains the type URL. Example:
package google.profile;
message Person {
string first_name = 1;
string last_name = 2;
}
{
"@type": "type.googleapis.com/google.profile.Person",
"firstName": <string>,
"lastName": <string>
}
If the embedded message type is well-known and has a custom JSON representation, that representation will be embedded adding a field value which holds the custom JSON in addition to the @type field. Example (for message [google.protobuf.Duration][]):
{
"@type": "type.googleapis.com/google.protobuf.Duration",
"value": "1.212s"
}
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| typeUrl | String |
A URL/resource name that uniquely identifies the type of the serialized protocol buffer message. This string must contain at least one \"/\" character. The last segment of the URL’s path must represent the fully qualified name of the type (as in | |||
| value | byte[] | Must be a valid serialized protocol buffer of the above specified type. | byte |
8.3.7.2. RuntimeError Copy linkLink copied to clipboard!
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| error | String | ||||
| code | Integer | int32 | |||
| message | String | ||||
| details | List of ProtobufAny |
8.4. GetCloudSource Copy linkLink copied to clipboard!
GET /v1/cloud-sources/{id}
GetCloudSource retrieves a cloud source by ID.
8.4.1. Description Copy linkLink copied to clipboard!
8.4.2. Parameters Copy linkLink copied to clipboard!
8.4.2.1. Path Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| id | X | null |
8.4.3. Return Type Copy linkLink copied to clipboard!
8.4.4. Content Type Copy linkLink copied to clipboard!
- application/json
8.4.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
8.4.6. Samples Copy linkLink copied to clipboard!
8.4.7. Common object reference Copy linkLink copied to clipboard!
8.4.7.1. ProtobufAny Copy linkLink copied to clipboard!
Any contains an arbitrary serialized protocol buffer message along with a URL that describes the type of the serialized message.
Protobuf library provides support to pack/unpack Any values in the form of utility functions or additional generated methods of the Any type.
Example 1: Pack and unpack a message in C++.
Foo foo = ...;
Any any;
any.PackFrom(foo);
...
if (any.UnpackTo(&foo)) {
...
}
Example 2: Pack and unpack a message in Java.
Foo foo = ...;
Any any = Any.pack(foo);
...
if (any.is(Foo.class)) {
foo = any.unpack(Foo.class);
}
// or ...
if (any.isSameTypeAs(Foo.getDefaultInstance())) {
foo = any.unpack(Foo.getDefaultInstance());
}
Example 3: Pack and unpack a message in Python.
foo = Foo(...)
any = Any()
any.Pack(foo)
...
if any.Is(Foo.DESCRIPTOR):
any.Unpack(foo)
...
Example 4: Pack and unpack a message in Go
foo := &pb.Foo{...}
any, err := anypb.New(foo)
if err != nil {
...
}
...
foo := &pb.Foo{}
if err := any.UnmarshalTo(foo); err != nil {
...
}
The pack methods provided by protobuf library will by default use 'type.googleapis.com/full.type.name' as the type URL and the unpack methods only use the fully qualified type name after the last '/' in the type URL, for example "foo.bar.com/x/y.z" will yield type name "y.z".
8.4.7.1.1. JSON representation Copy linkLink copied to clipboard!
The JSON representation of an Any value uses the regular representation of the deserialized, embedded message, with an additional field @type which contains the type URL. Example:
package google.profile;
message Person {
string first_name = 1;
string last_name = 2;
}
{
"@type": "type.googleapis.com/google.profile.Person",
"firstName": <string>,
"lastName": <string>
}
If the embedded message type is well-known and has a custom JSON representation, that representation will be embedded adding a field value which holds the custom JSON in addition to the @type field. Example (for message [google.protobuf.Duration][]):
{
"@type": "type.googleapis.com/google.protobuf.Duration",
"value": "1.212s"
}
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| typeUrl | String |
A URL/resource name that uniquely identifies the type of the serialized protocol buffer message. This string must contain at least one \"/\" character. The last segment of the URL’s path must represent the fully qualified name of the type (as in | |||
| value | byte[] | Must be a valid serialized protocol buffer of the above specified type. | byte |
8.4.7.2. RuntimeError Copy linkLink copied to clipboard!
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| error | String | ||||
| code | Integer | int32 | |||
| message | String | ||||
| details | List of ProtobufAny |
8.4.7.3. V1CloudSource Copy linkLink copied to clipboard!
CloudSource is an integration which provides a source for discovered clusters.
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| id | String | ||||
| name | String | ||||
| type | TYPE_UNSPECIFIED, TYPE_PALADIN_CLOUD, TYPE_OCM, | ||||
| credentials | |||||
| skipTestIntegration | Boolean | ||||
| paladinCloud | |||||
| ocm |
8.4.7.4. V1CloudSourceCredentials Copy linkLink copied to clipboard!
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| secret | String |
8.4.7.5. V1CloudSourceType Copy linkLink copied to clipboard!
| Enum Values |
|---|
| TYPE_UNSPECIFIED |
| TYPE_PALADIN_CLOUD |
| TYPE_OCM |
8.4.7.6. V1GetCloudSourceResponse Copy linkLink copied to clipboard!
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| cloudSource |
8.4.7.7. V1OCMConfig Copy linkLink copied to clipboard!
OCMConfig provides information required to fetch discovered clusters from the OpenShift cluster manager.
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| endpoint | String |
8.4.7.8. V1PaladinCloudConfig Copy linkLink copied to clipboard!
PaladinCloudConfig provides information required to fetch discovered clusters from Paladin Cloud.
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| endpoint | String |
8.5. CreateCloudSource Copy linkLink copied to clipboard!
POST /v1/cloud-sources
CreateCloudSource creates a cloud source.
8.5.1. Description Copy linkLink copied to clipboard!
8.5.2. Parameters Copy linkLink copied to clipboard!
8.5.2.1. Body Parameter Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| body | X |
8.5.3. Return Type Copy linkLink copied to clipboard!
8.5.4. Content Type Copy linkLink copied to clipboard!
- application/json
8.5.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
8.5.6. Samples Copy linkLink copied to clipboard!
8.5.7. Common object reference Copy linkLink copied to clipboard!
8.5.7.1. ProtobufAny Copy linkLink copied to clipboard!
Any contains an arbitrary serialized protocol buffer message along with a URL that describes the type of the serialized message.
Protobuf library provides support to pack/unpack Any values in the form of utility functions or additional generated methods of the Any type.
Example 1: Pack and unpack a message in C++.
Foo foo = ...;
Any any;
any.PackFrom(foo);
...
if (any.UnpackTo(&foo)) {
...
}
Example 2: Pack and unpack a message in Java.
Foo foo = ...;
Any any = Any.pack(foo);
...
if (any.is(Foo.class)) {
foo = any.unpack(Foo.class);
}
// or ...
if (any.isSameTypeAs(Foo.getDefaultInstance())) {
foo = any.unpack(Foo.getDefaultInstance());
}
Example 3: Pack and unpack a message in Python.
foo = Foo(...)
any = Any()
any.Pack(foo)
...
if any.Is(Foo.DESCRIPTOR):
any.Unpack(foo)
...
Example 4: Pack and unpack a message in Go
foo := &pb.Foo{...}
any, err := anypb.New(foo)
if err != nil {
...
}
...
foo := &pb.Foo{}
if err := any.UnmarshalTo(foo); err != nil {
...
}
The pack methods provided by protobuf library will by default use 'type.googleapis.com/full.type.name' as the type URL and the unpack methods only use the fully qualified type name after the last '/' in the type URL, for example "foo.bar.com/x/y.z" will yield type name "y.z".
8.5.7.1.1. JSON representation Copy linkLink copied to clipboard!
The JSON representation of an Any value uses the regular representation of the deserialized, embedded message, with an additional field @type which contains the type URL. Example:
package google.profile;
message Person {
string first_name = 1;
string last_name = 2;
}
{
"@type": "type.googleapis.com/google.profile.Person",
"firstName": <string>,
"lastName": <string>
}
If the embedded message type is well-known and has a custom JSON representation, that representation will be embedded adding a field value which holds the custom JSON in addition to the @type field. Example (for message [google.protobuf.Duration][]):
{
"@type": "type.googleapis.com/google.protobuf.Duration",
"value": "1.212s"
}
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| typeUrl | String |
A URL/resource name that uniquely identifies the type of the serialized protocol buffer message. This string must contain at least one \"/\" character. The last segment of the URL’s path must represent the fully qualified name of the type (as in | |||
| value | byte[] | Must be a valid serialized protocol buffer of the above specified type. | byte |
8.5.7.2. RuntimeError Copy linkLink copied to clipboard!
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| error | String | ||||
| code | Integer | int32 | |||
| message | String | ||||
| details | List of ProtobufAny |
8.5.7.3. V1CloudSource Copy linkLink copied to clipboard!
CloudSource is an integration which provides a source for discovered clusters.
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| id | String | ||||
| name | String | ||||
| type | TYPE_UNSPECIFIED, TYPE_PALADIN_CLOUD, TYPE_OCM, | ||||
| credentials | |||||
| skipTestIntegration | Boolean | ||||
| paladinCloud | |||||
| ocm |
8.5.7.4. V1CloudSourceCredentials Copy linkLink copied to clipboard!
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| secret | String |
8.5.7.5. V1CloudSourceType Copy linkLink copied to clipboard!
| Enum Values |
|---|
| TYPE_UNSPECIFIED |
| TYPE_PALADIN_CLOUD |
| TYPE_OCM |
8.5.7.6. V1CreateCloudSourceRequest Copy linkLink copied to clipboard!
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| cloudSource |
8.5.7.7. V1CreateCloudSourceResponse Copy linkLink copied to clipboard!
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| cloudSource |
8.5.7.8. V1OCMConfig Copy linkLink copied to clipboard!
OCMConfig provides information required to fetch discovered clusters from the OpenShift cluster manager.
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| endpoint | String |
8.5.7.9. V1PaladinCloudConfig Copy linkLink copied to clipboard!
PaladinCloudConfig provides information required to fetch discovered clusters from Paladin Cloud.
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| endpoint | String |
8.6. TestCloudSource Copy linkLink copied to clipboard!
POST /v1/cloud-sources/test
TestCloudSource tests a cloud source.
8.6.1. Description Copy linkLink copied to clipboard!
8.6.2. Parameters Copy linkLink copied to clipboard!
8.6.2.1. Body Parameter Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| body | X |
8.6.3. Return Type Copy linkLink copied to clipboard!
Object
8.6.4. Content Type Copy linkLink copied to clipboard!
- application/json
8.6.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. |
|
| 0 | An unexpected error response. |
8.6.6. Samples Copy linkLink copied to clipboard!
8.6.7. Common object reference Copy linkLink copied to clipboard!
8.6.7.1. ProtobufAny Copy linkLink copied to clipboard!
Any contains an arbitrary serialized protocol buffer message along with a URL that describes the type of the serialized message.
Protobuf library provides support to pack/unpack Any values in the form of utility functions or additional generated methods of the Any type.
Example 1: Pack and unpack a message in C++.
Foo foo = ...;
Any any;
any.PackFrom(foo);
...
if (any.UnpackTo(&foo)) {
...
}
Example 2: Pack and unpack a message in Java.
Foo foo = ...;
Any any = Any.pack(foo);
...
if (any.is(Foo.class)) {
foo = any.unpack(Foo.class);
}
// or ...
if (any.isSameTypeAs(Foo.getDefaultInstance())) {
foo = any.unpack(Foo.getDefaultInstance());
}
Example 3: Pack and unpack a message in Python.
foo = Foo(...)
any = Any()
any.Pack(foo)
...
if any.Is(Foo.DESCRIPTOR):
any.Unpack(foo)
...
Example 4: Pack and unpack a message in Go
foo := &pb.Foo{...}
any, err := anypb.New(foo)
if err != nil {
...
}
...
foo := &pb.Foo{}
if err := any.UnmarshalTo(foo); err != nil {
...
}
The pack methods provided by protobuf library will by default use 'type.googleapis.com/full.type.name' as the type URL and the unpack methods only use the fully qualified type name after the last '/' in the type URL, for example "foo.bar.com/x/y.z" will yield type name "y.z".
8.6.7.1.1. JSON representation Copy linkLink copied to clipboard!
The JSON representation of an Any value uses the regular representation of the deserialized, embedded message, with an additional field @type which contains the type URL. Example:
package google.profile;
message Person {
string first_name = 1;
string last_name = 2;
}
{
"@type": "type.googleapis.com/google.profile.Person",
"firstName": <string>,
"lastName": <string>
}
If the embedded message type is well-known and has a custom JSON representation, that representation will be embedded adding a field value which holds the custom JSON in addition to the @type field. Example (for message [google.protobuf.Duration][]):
{
"@type": "type.googleapis.com/google.protobuf.Duration",
"value": "1.212s"
}
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| typeUrl | String |
A URL/resource name that uniquely identifies the type of the serialized protocol buffer message. This string must contain at least one \"/\" character. The last segment of the URL’s path must represent the fully qualified name of the type (as in | |||
| value | byte[] | Must be a valid serialized protocol buffer of the above specified type. | byte |
8.6.7.2. RuntimeError Copy linkLink copied to clipboard!
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| error | String | ||||
| code | Integer | int32 | |||
| message | String | ||||
| details | List of ProtobufAny |
8.6.7.3. V1CloudSource Copy linkLink copied to clipboard!
CloudSource is an integration which provides a source for discovered clusters.
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| id | String | ||||
| name | String | ||||
| type | TYPE_UNSPECIFIED, TYPE_PALADIN_CLOUD, TYPE_OCM, | ||||
| credentials | |||||
| skipTestIntegration | Boolean | ||||
| paladinCloud | |||||
| ocm |
8.6.7.4. V1CloudSourceCredentials Copy linkLink copied to clipboard!
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| secret | String |
8.6.7.5. V1CloudSourceType Copy linkLink copied to clipboard!
| Enum Values |
|---|
| TYPE_UNSPECIFIED |
| TYPE_PALADIN_CLOUD |
| TYPE_OCM |
8.6.7.6. V1OCMConfig Copy linkLink copied to clipboard!
OCMConfig provides information required to fetch discovered clusters from the OpenShift cluster manager.
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| endpoint | String |
8.6.7.7. V1PaladinCloudConfig Copy linkLink copied to clipboard!
PaladinCloudConfig provides information required to fetch discovered clusters from Paladin Cloud.
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| endpoint | String |
8.6.7.8. V1TestCloudSourceRequest Copy linkLink copied to clipboard!
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| cloudSource | |||||
| updateCredentials | Boolean | If true, cloud_source must include valid credentials. If false, the resource must already exist and credentials in cloud_source are ignored. |
8.7. CountCloudSources Copy linkLink copied to clipboard!
GET /v1/count/cloud-sources
CountCloudSources returns the number of cloud sources after filtering by requested fields.
8.7.1. Description Copy linkLink copied to clipboard!
8.7.2. Parameters Copy linkLink copied to clipboard!
8.7.2.1. Query Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| filter.names |
Matches cloud sources based on their name. | - | null | |
| filter.types |
Matches cloud sources based on their type. | - | null |
8.7.3. Return Type Copy linkLink copied to clipboard!
8.7.4. Content Type Copy linkLink copied to clipboard!
- application/json
8.7.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
8.7.6. Samples Copy linkLink copied to clipboard!
8.7.7. Common object reference Copy linkLink copied to clipboard!
8.7.7.1. ProtobufAny Copy linkLink copied to clipboard!
Any contains an arbitrary serialized protocol buffer message along with a URL that describes the type of the serialized message.
Protobuf library provides support to pack/unpack Any values in the form of utility functions or additional generated methods of the Any type.
Example 1: Pack and unpack a message in C++.
Foo foo = ...;
Any any;
any.PackFrom(foo);
...
if (any.UnpackTo(&foo)) {
...
}
Example 2: Pack and unpack a message in Java.
Foo foo = ...;
Any any = Any.pack(foo);
...
if (any.is(Foo.class)) {
foo = any.unpack(Foo.class);
}
// or ...
if (any.isSameTypeAs(Foo.getDefaultInstance())) {
foo = any.unpack(Foo.getDefaultInstance());
}
Example 3: Pack and unpack a message in Python.
foo = Foo(...)
any = Any()
any.Pack(foo)
...
if any.Is(Foo.DESCRIPTOR):
any.Unpack(foo)
...
Example 4: Pack and unpack a message in Go
foo := &pb.Foo{...}
any, err := anypb.New(foo)
if err != nil {
...
}
...
foo := &pb.Foo{}
if err := any.UnmarshalTo(foo); err != nil {
...
}
The pack methods provided by protobuf library will by default use 'type.googleapis.com/full.type.name' as the type URL and the unpack methods only use the fully qualified type name after the last '/' in the type URL, for example "foo.bar.com/x/y.z" will yield type name "y.z".
8.7.7.1.1. JSON representation Copy linkLink copied to clipboard!
The JSON representation of an Any value uses the regular representation of the deserialized, embedded message, with an additional field @type which contains the type URL. Example:
package google.profile;
message Person {
string first_name = 1;
string last_name = 2;
}
{
"@type": "type.googleapis.com/google.profile.Person",
"firstName": <string>,
"lastName": <string>
}
If the embedded message type is well-known and has a custom JSON representation, that representation will be embedded adding a field value which holds the custom JSON in addition to the @type field. Example (for message [google.protobuf.Duration][]):
{
"@type": "type.googleapis.com/google.protobuf.Duration",
"value": "1.212s"
}
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| typeUrl | String |
A URL/resource name that uniquely identifies the type of the serialized protocol buffer message. This string must contain at least one \"/\" character. The last segment of the URL’s path must represent the fully qualified name of the type (as in | |||
| value | byte[] | Must be a valid serialized protocol buffer of the above specified type. | byte |
8.7.7.2. RuntimeError Copy linkLink copied to clipboard!
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| error | String | ||||
| code | Integer | int32 | |||
| message | String | ||||
| details | List of ProtobufAny |
8.7.7.3. V1CountCloudSourcesResponse Copy linkLink copied to clipboard!
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| count | Integer | int32 |